aboutsummaryrefslogtreecommitdiffstats
path: root/tests/tls-protocols/t
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tls-protocols/t')
-rw-r--r--tests/tls-protocols/t6
1 files changed, 4 insertions, 2 deletions
diff --git a/tests/tls-protocols/t b/tests/tls-protocols/t
index b65d93c..ecf7e49 100644
--- a/tests/tls-protocols/t
+++ b/tests/tls-protocols/t
@@ -38,8 +38,9 @@ with_remote_tls_protocols "SSLv2" "SSLv3"
! interimap --debug || error
grep -Fx "remote: Disabling SSL protocols: TLSv1, TLSv1.1, TLSv1.2, TLSv1.3" <"$STDERR" || error
grep -Fx "remote: ERROR: Can't initiate TLS/SSL handshake" <"$STDERR" || error
-# make sure we didn't send any credentials
+# make sure we didn't send any credentials or started speaking IMAP
! grep -E "^remote: C: .* (AUTHENTICATE|LOGIN) " <"$STDERR" || error
+grep -Fx "remote: IMAP traffic (bytes): recv 0 sent 0" <"$STDERR" || error
# new interface: SSL_protocol_{min,max}
@@ -88,7 +89,8 @@ with_remote_tls_protocol_min_max "SSLv3" "SSLv3"
grep -Fx "remote: Minimum SSL/TLS protocol version: SSLv3" <"$STDERR" || error
grep -Fx "remote: Maximum SSL/TLS protocol version: SSLv3" <"$STDERR" || error
grep -Fx "remote: ERROR: Can't initiate TLS/SSL handshake" <"$STDERR" || error
-# make sure we didn't send any credentials
+# make sure we didn't send any credentials or started speaking IMAP
! grep -E "^remote: C: .* (AUTHENTICATE|LOGIN) " <"$STDERR" || error
+grep -Fx "remote: IMAP traffic (bytes): recv 0 sent 0" <"$STDERR" || error
# vim: set filetype=sh :